import { Program } from '@project-serum/anchor';
import { PublicKey } from '@solana/web3.js';
import { MultisigJob } from '../models/multisig-job';
import { SafeType } from '../models/safe';
export default class SafeFinder {
    program: Program;
    constructor(program: Program);
    findSpendingLimitByOwner(owner: PublicKey): Promise<any[]>;
    findSpendingLimitBySpender(spenderAddress: PublicKey): Promise<any[]>;
    findSafe(safeAddress: PublicKey): Promise<SafeType>;
    findOwnedSafes(ownerAddress: PublicKey): Promise<SafeType[]>;
    findJob(jobAddress: PublicKey): Promise<MultisigJob>;
    findJobsOfSafe(safeAddress: PublicKey): Promise<MultisigJob[]>;
    findSafeAddressDerivedFromJob(jobAddress: PublicKey): Promise<PublicKey>;
    private getOwnedSafesFilter;
    private getSafeAddressFilter;
}
